/* navbar section */

.brand h1 {
  font-size: 3rem;
  text-transform: uppercase;
  color: #00bfff;
  direction: ltr;
}

.brand h1 span {
  color: #ffffff;
}

#navbar {
  position: fixed;
  z-index: 110;
  left: 0;
  top: 0;
  width: 100vw;
  height: auto;

  background-color: rgba(0, 0, 0, 0.685);
}

#navbar .header {
  min-height: 8vh;
}

#navbar .navbar-class {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 100%;
  max-width: 1200px;
  padding: 5px 20px;
}
/* styling ul   ul, a and hamburger */

#navbar .nav-list ul {
  list-style: none;
  position: absolute;
  background-color: rgba(2, 0, 12, 0.692);
  width: 100vw;
  height: 100vh;
  /* visibility */
  left: 100%;
  /* visibility */
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1;
  overflow-x: hidden;
  transition: all 2s ease;
  justify-content: center;
}

#navbar .nav-list ul a {
  font-size: 2.5rem;
  font-weight: 600;
  letter-spacing: 0.5rem;
  padding: 10px;
  margin: 20px 40px;
  /* color: crimson; */
  color: white;
  text-transform: uppercase;
  display: block;
  transition: all 1s linear;
}
#navbar .nav-list ul.active {
  left: 0;
  transition: all 1s ease;
}
#navbar .nav-list ul li:hover a {
  border: 2px dashed white;
  border-radius: 15px 50px 30px;
  background-color: rgba(255, 255, 255, 0.671);
  /* color: crimson; */
  color: rgb(218, 25, 25);
} /* end styling */
#navbar .hamburger-bar {
  height: 65px;
  width: 65px;
  display: inline-block;
  border: 2px solid white;
  border-radius: 50%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 100;
}
#navbar .hamburger-bar .bar {
  height: 2px;
  width: 30px;
  padding: relative;
  background-color: white;
  z-index: -1;
}
/* End styling ul   ul, a, .bar and hamburger */

/* before and after pseudo class  */

#navbar .hamburger-bar .bar::after,
#navbar .hamburger-bar .bar::before {
  content: '';
  position: absolute;
  height: 2px;
  width: 30px;

  padding: relative;
  background-color: white;
  transition: 0.3s ease;
  transition-property: top, bottom;
}
#navbar .hamburger-bar .bar::after {
  top: 40px;
}
#navbar .hamburger-bar .bar::before {
  bottom: 40px;
}
#navbar .hamburger-bar.active .bar::before {
  bottom: 20px;
}
#navbar .hamburger-bar.active .bar::after {
  top: 20px;
}
/* End before and after pseudo class  */
/* End navbar section */
